@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap');

body {
    font-family: 'Ubuntu', sans-serif;
}

.journey-section {
    background-image: url("../img/background.png");
    width: 100%;
    height: 100vh;
    background-repeat: no-repeat;
    background-size: 100%;
}

.header {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: 58px;
    background: rgba(0, 0, 0, 0.4);
}

a {
    text-decoration: none;
    color: white;
}

.header-title {
    font-weight: bold;
    font-size: 22px;
    line-height: 22px;
    margin-left: 79px;
}

.header-title-hover a:hover {
    color: #236D47;
}

.icons-section {
    display: flex;
    align-items: center;
    margin-right: 79px;
}

.margin-icons {
    margin-right: 24px;
}

.margin-icons svg:hover #calendar,
.margin-icons svg:hover #mail,
.margin-icons svg:hover #compass {
    fill: #236D47;
}

.section-separator {
    width: 0;
    height: 19px;
    background: rgba(255, 255, 255, 0.9);
    opacity: 0.5;
}

.text-for-registration {
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: white;
    margin-left: 27px;
}

.text-for-registration a:hover {
    color: #236D47;
}

.registration-section {
    height: calc(100vh - 58px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.registration-section-block {
    width: 444px;
    height: 600px;
    background: #FFFFFF;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
    /*margin: auto;*/
}

.registration-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 31px;
}

.sign-up::before {
    content: '';
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    display: inline-block;
    margin-right: 43px;
}

.sign-up {
    font-weight: normal;
    font-size: 20px;
    line-height: 20px;
    color: #434343;
}

.log-in-registration-section {
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #3CB878;
}

.log-in-registration-section-hover {
    margin-right: 60px;
}

.log-in-registration-section-hover a:hover {
    color: #01813F;
    text-decoration: underline;
}

.buttons {
    display: flex;
    justify-content: center;
    margin-top: 13px;
}

.button-facebook {
    display: flex;
    width: 160px;
    height: 48px;
    justify-content: center;
    align-items: center;
    background-color: #305DB8;
    border-radius: 4px;
    border: 0;
    cursor: pointer;
    margin-right: 2px;
}

.button-facebook:hover {
    background-color: #022263;
}

.button-facebook:hover .text-button-facebook::before {
    background-color: #02215F;
}

.text-button-facebook {
    font-family: 'Ubuntu', sans-serif;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: white;
    display: flex;
    align-items: center;
}

.text-button-facebook::before {
    content: '';
    width: 1px;
    height: 28px;
    background-color: #2E59B1;
    display: inline-block;
    margin-right: 18px;
    margin-left: 18px;
}

.button-google {
    display: flex;
    width: 160px;
    height: 48px;
    justify-content: center;
    align-items: center;
    background-color: #DF4A32;
    border-radius: 4px;
    border: 0;
    cursor: pointer;
    margin-left: 2px;
}

.button-google:hover {
    background-color: #AB1F09;
}

.button-google:hover .text-button-google::before {
    background-color: #A41E09;
}

.text-button-google {
    font-family: 'Ubuntu', sans-serif;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: white;
    display: flex;
    align-items: center;
}

.text-button-google::before {
    content: '';
    width: 1px;
    height: 28px;
    background-color: #D64730;
    display: inline-block;
    margin-right: 30px;
    margin-left: 7px;
}

.style-for-or {
    display: flex;
    justify-content: center;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #848484;
    margin-top: 31px;
    margin-bottom: 10px;
}

.style-for-or::before {
    content: '';
    width: 152px;
    height: 1px;
    background-color: #F2F2F2;
    display: inline-block;
    margin-top: 8px;
    margin-right: 4px;
}

.style-for-or::after {
    content: '';
    width: 152px;
    height: 1px;
    background-color: #F2F2F2;
    display: inline-block;
    margin-top: 8px;
    margin-left: 4px;
}

.registration-form {
    display: flex;
    flex-direction: column;
    width: 324px;
    margin: 0 auto;
}

.text-input {
    font-family: 'Ubuntu', sans-serif;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #434343;
    padding-left: 20px;
}

.text-input::placeholder {
    font-weight: normal;
    font-size: 14px;
    /*line-height: 14px;*/
    color: #BEBEBE;
}

/*.text-input::-webkit-input-placeholder,*/
/*.text-input::-moz-placeholder,*/
.text-input:-ms-input-placeholder,
.text-input:-moz-placeholder {
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #BEBEBE;
}

.registration-form-input {
    height: 44px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    margin-bottom: 15px;
    outline: none;
}

.registration-form-input:nth-child(5) {
    margin-bottom: 12px;
}

.registration-form-input:focus {
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
}

.checkbox-style {
    display: flex;
    align-items: center;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #434343;
}

.checkbox {
    position: absolute;
    opacity: 0;
}

.custom-checkbox {
    display: inline-block;
    top: 30px;
    width: 20px;
    height: 20px;
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #F2F2F2;
    margin-right: 8px;
}

.checkbox:checked + .custom-checkbox {
    background-image: url("../img/check-mark.png");
    background-size: cover;
}

.conditions-style {
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #3CB878;
    margin-left: 5px;
}

.conditions-style:hover {
    color: #01813F;
    text-decoration: underline;
}

.create-button {
    height: 46px;
    background: rgba(60, 184, 120, 0.8);
    border: 0;
    border-radius: 4px;
    cursor: pointer;
    font-family: 'Ubuntu', sans-serif;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: white;
    margin-top: 20px;
}

.create-button:hover {
    background: #01813F;
}